---
title: llarp::config::Comment
summary: Adds one or more comment lines to the option definition. 

---

# llarp::config::Comment



Adds one or more comment lines to the option definition. 


`#include <definition.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[Comment](Classes/structllarp_1_1config_1_1Comment.md#function-comment)**(std::initializer_list< std::string > comments) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::vector< std::string > | **[comments](Classes/structllarp_1_1config_1_1Comment.md#variable-comments)**  |

## Public Functions Documentation

### function Comment

```cpp
inline explicit Comment(
    std::initializer_list< std::string > comments
)
```


## Public Attributes Documentation

### variable comments

```cpp
std::vector< std::string > comments;
```


-------------------------------

Updated on 2023-01-20 at 23:19:39 +0000